be.cin.types.v1

## Class FaultType

- java.lang.Object
- - be.cin.types.v1.FaultType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:06:44+01:00",
                 comments="JAXB RI v2.2.11")
      public class FaultType
      extends Object
      implements Serializable

  Contains the fault information.

  The fault always consists of main fault information and detailed information. It is used for both SOAP Faults and Java Exceptions.

  Java class for FaultType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FaultType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="FaultCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="FaultSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Message" type="{urn:be:cin:types:v1}StringLangType"/>
               <element name="Details" type="{urn:be:cin:types:v1}DetailsType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DetailsType` | `getDetails()` Gets the value of the details property.
    `String` | `getFaultCode()` Gets the value of the faultCode property.
    `String` | `getFaultSource()` Gets the value of the faultSource property.
    `StringLangType` | `getMessage()` Gets the value of the message property.
    `void` | `setDetails(DetailsType value)` Sets the value of the details property.
    `void` | `setFaultCode(String value)` Sets the value of the faultCode property.
    `void` | `setFaultSource(String value)` Sets the value of the faultSource property.
    `void` | `setMessage(StringLangType value)` Sets the value of the message property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultType

          public FaultType()

  - ### Method Detail

    - #### getFaultCode

          public String getFaultCode()

      Gets the value of the faultCode property.
      Returns:
        possible object is `String`

    - #### setFaultCode

          public void setFaultCode(String value)

      Sets the value of the faultCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFaultSource

          public String getFaultSource()

      Gets the value of the faultSource property.
      Returns:
        possible object is `String`

    - #### setFaultSource

          public void setFaultSource(String value)

      Sets the value of the faultSource property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessage

          public StringLangType getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `StringLangType`

    - #### setMessage

          public void setMessage(StringLangType value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `StringLangType`

    - #### getDetails

          public DetailsType getDetails()

      Gets the value of the details property.
      Returns:
        possible object is `DetailsType`

    - #### setDetails

          public void setDetails(DetailsType value)

      Sets the value of the details property.
      Parameters:
        `value` - allowed object is `DetailsType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.